Quassel IRC - Bug #754

Initial backlog fetch causes a timeout while PostgreSQL uses a massive amount of CPU

07/28/2009 01:15 AM - sph

Status: Resolved Start date: 07/28/2009
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5-pre 0S: Any

Description

After updating the core to v0.5-pre (0.4.0+205 git-4eba801), it no longer responds when a client is fetching the backlog. Meanwhile,
the PostgreSQL db is using a massive amount of CPU.

A fresh start:

PID USERNAME THR PRI NICE SIZE RES STATE TIME WCPU COMMAND
3061 pgsqgl 1 4 0 275M 10652K sbwait 0:00 0.39% postgres

Client fetches initial backlog:

PID USERNAME THR PRI NICE SIZE RES STATE TIME WCPU COMMAND
3061 pgsgl 1 112 0 275M 142M RUN 1:00 70.75% postgres

The client never receives any backlog and disconnects while complaining about the heartbeat, making Quassel completely useless
for me :(

History

#1 - 07/28/2009 02:54 AM - honk

Hello,
please check if this is a duplicate of #680.

#2 - 07/28/2009 11:25 AM - sph
It is after #680 was fixed, but it's probably related.

#3 - 07/28/2009 02:16 PM - honk

#680 was not fixed for everyone and in all circumstances by EgS's patch. Please check if it this is a duplicate of the bug.

#4 - 07/29/2009 03:11 PM - sph

- Status changed from New to Resolved

Yep, it was a duplicate. Upgrading to PostgreSQL 8.4 solved it.
